org.wildfly.swarm.config.messaging.activemq.server

## Class JMSTopic<T extends JMSTopic<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.JMSTopic<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class JMSTopic<T extends JMSTopic<T>>
      extends HashMap

  Defines a JMS topic.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSTopic(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `deliveringCount()` The number of messages that this queue is currently delivering to its consumers.
    `T` | `deliveringCount(Integer value)` The number of messages that this queue is currently delivering to its consumers.
    `Integer` | `durableMessageCount()` The number of messages for all durable subscribers for this topic.
    `T` | `durableMessageCount(Integer value)` The number of messages for all durable subscribers for this topic.
    `Integer` | `durableSubscriptionCount()` The number of durable subscribers for this topic.
    `T` | `durableSubscriptionCount(Integer value)` The number of durable subscribers for this topic.
    `List<String>` | `entries()` The jndi names the topic will be bound to.
    `T` | `entries(List<String> value)` The jndi names the topic will be bound to.
    `T` | `entries(String... args)` The jndi names the topic will be bound to.
    `T` | `entry(String value)` The jndi names the topic will be bound to.
    `String` | `getKey()`
    `List<String>` | `legacyEntries()` The legacy jndi names the topic will be bound to.
    `T` | `legacyEntries(List<String> value)` The legacy jndi names the topic will be bound to.
    `T` | `legacyEntries(String... args)` The legacy jndi names the topic will be bound to.
    `T` | `legacyEntry(String value)` The legacy jndi names the topic will be bound to.
    `Long` | `messageCount()` The number of messages currently in this queue.
    `T` | `messageCount(Long value)` The number of messages currently in this queue.
    `Long` | `messagesAdded()` The number of messages added to this queue since it was created.
    `T` | `messagesAdded(Long value)` The number of messages added to this queue since it was created.
    `Integer` | `nonDurableMessageCount()` The number of messages for all non-durable subscribers for this topic.
    `T` | `nonDurableMessageCount(Integer value)` The number of messages for all non-durable subscribers for this topic.
    `Integer` | `nonDurableSubscriptionCount()` The number of non-durable subscribers for this topic.
    `T` | `nonDurableSubscriptionCount(Integer value)` The number of non-durable subscribers for this topic.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `subscriptionCount()` The number of (durable and non-durable) subscribers for this topic.
    `T` | `subscriptionCount(Integer value)` The number of (durable and non-durable) subscribers for this topic.
    `Boolean` | `temporary()` Whether the topic is temporary.
    `T` | `temporary(Boolean value)` Whether the topic is temporary.
    `String` | `topicAddress()` The address the topic points to.
    `T` | `topicAddress(String value)` The address the topic points to.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JMSTopic

          public JMSTopic(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### deliveringCount

          public Integer deliveringCount()

      The number of messages that this queue is currently delivering to its consumers.

    - #### deliveringCount

          public T deliveringCount(Integer value)

      The number of messages that this queue is currently delivering to its consumers.

    - #### durableMessageCount

          public Integer durableMessageCount()

      The number of messages for all durable subscribers for this topic.

    - #### durableMessageCount

          public T durableMessageCount(Integer value)

      The number of messages for all durable subscribers for this topic.

    - #### durableSubscriptionCount

          public Integer durableSubscriptionCount()

      The number of durable subscribers for this topic.

    - #### durableSubscriptionCount

          public T durableSubscriptionCount(Integer value)

      The number of durable subscribers for this topic.

    - #### entries

          public List<String> entries()

      The jndi names the topic will be bound to.

    - #### entries

          public T entries(List<String> value)

      The jndi names the topic will be bound to.

    - #### entry

          public T entry(String value)

      The jndi names the topic will be bound to.

    - #### entries

          public T entries(String... args)

      The jndi names the topic will be bound to.

    - #### legacyEntries

          public List<String> legacyEntries()

      The legacy jndi names the topic will be bound to.

    - #### legacyEntries

          public T legacyEntries(List<String> value)

      The legacy jndi names the topic will be bound to.

    - #### legacyEntry

          public T legacyEntry(String value)

      The legacy jndi names the topic will be bound to.

    - #### legacyEntries

          public T legacyEntries(String... args)

      The legacy jndi names the topic will be bound to.

    - #### messageCount

          public Long messageCount()

      The number of messages currently in this queue.

    - #### messageCount

          public T messageCount(Long value)

      The number of messages currently in this queue.

    - #### messagesAdded

          public Long messagesAdded()

      The number of messages added to this queue since it was created.

    - #### messagesAdded

          public T messagesAdded(Long value)

      The number of messages added to this queue since it was created.

    - #### nonDurableMessageCount

          public Integer nonDurableMessageCount()

      The number of messages for all non-durable subscribers for this topic.

    - #### nonDurableMessageCount

          public T nonDurableMessageCount(Integer value)

      The number of messages for all non-durable subscribers for this topic.

    - #### nonDurableSubscriptionCount

          public Integer nonDurableSubscriptionCount()

      The number of non-durable subscribers for this topic.

    - #### nonDurableSubscriptionCount

          public T nonDurableSubscriptionCount(Integer value)

      The number of non-durable subscribers for this topic.

    - #### subscriptionCount

          public Integer subscriptionCount()

      The number of (durable and non-durable) subscribers for this topic.

    - #### subscriptionCount

          public T subscriptionCount(Integer value)

      The number of (durable and non-durable) subscribers for this topic.

    - #### temporary

          public Boolean temporary()

      Whether the topic is temporary.

    - #### temporary

          public T temporary(Boolean value)

      Whether the topic is temporary.

    - #### topicAddress

          public String topicAddress()

      The address the topic points to.

    - #### topicAddress

          public T topicAddress(String value)

      The address the topic points to.

Copyright © 2018 JBoss by Red Hat. All rights reserved.